using bizFacade;
using MesServerWork;
using System;
//using SystemFramework;

namespace MesServerFunctions
{
    partial class FunctionMES
    {
        /// <summary>
        /// 允许保存(针对半自动和手动压装工位)
        /// </summary>
        /// <param name="OpName"></param>
        /// <param name="tagValue"></param>
        private void MesRead(object e)
        {
            {
                try
                {

                    {
                        DoWhatPlc.CustomeEvetnArgs msgEvent = (DoWhatPlc.CustomeEvetnArgs)e;
                        string OpName = Convert.ToString(msgEvent.OpName);
                        int tagValue = Convert.ToInt32(msgEvent.TagValue);

                        if (tagValue == 1)
                        {
                            MIS_BASE.Read_EngineID(OpName, out string EngineID);
                            int qualityMask;
                            // 保存质量数据
                            qualityMask = MisDataSaveDateMesRead.Funtion.MesRead(OpName, tagValue.ToString(), msgEvent.TagID.ToString());
                            // 保存物料数据
                            BaseDataSystemMES.Material_Insert(OpName, qualityMask);

                            // 测量数据发动机在线状态
                            BaseDataSystemMES.WorkStartInsert(OpName, qualityMask);

                            // 推送质量数据到MES的页面
                            SendMessageFun.SendInfomation("ShowTimelyQuality", "1&" + qualityMask.ToString(), OpName);

                            //对应手动工位的
                            //MIS_BASE.Write_ConfirmOkGo(OpName, true);
                            //通知设备，MES的质量数据（和物料数据）保存完成
                            MIS_BASE.Write_MesReadOver(OpName, true);
                            MIS_BASE.Write_MaterialVerifyOver(OpName, true);
                            //统计在线产量，在线节拍
                            //SendMessage.SendActuallyCount(OpName, tagValue);

                            MesFunctions.EnginePart_OutStation(OpName, EngineID, qualityMask);
                        }
                        else
                        {
                            MIS_BASE.Write_MesReadOver(OpName, false);
                         
                        }
                    }

                }
                catch (Exception err)
                {
                    ////ApplicationLog.WriteLog(err, "Function08:MesReadOver");
                }
            }

        }

    }
}
